proc nop {} {}

proc goTcl_$starID {starID} {
    set results [lindex [grabInputs_$starID] 0]

    set win .window_$starID
    if {! [winfo exists $win]} {
	set headings \
	    [format "%5s %11s %11s %5s %11s %7s %7s" \
		 "Param" "Estimate" "Delta" "Conf" "Var" "Count" "Trans"]
	toplevel $win
	wm title $win "Akaroa Results"
	label $win.banner -height 1 -relief sunken -borderwidth 2 \
	    -text $headings -anchor w -font courier
	pack $win.banner -side top -fill x
	scrollbar $win.vsb -width 16 -command "$win.data yview"
	pack $win.vsb -side right -fill y
	text $win.data -width 80 -relief sunken -borderwidth 2 \
	    -yscrollcommand "$win.vsb set"
	pack $win.data -side top -anchor n
    }

    set last [$win.data index end]
    set i 1
    foreach row $results {
	set count [lindex $row 0]
	set trans [lindex $row 1]
	set mean [lindex $row 2]
	set variance [lindex $row 3]
	set delta [lindex $row 4]
	set conf [lindex $row 5]
	set line [format "%5d %11g %11g %5.2lf %11g %7d %7d\n" \
	      $i $mean $delta $conf $variance $count $trans]
	set i [expr $i + 1]

	$win.data insert end $line
    }
    $win.data insert end "\n"
#   -- Weird behaviour occurs when trying to scroll the last
#   -- line into view if the window was initially empty.
    if {[string compare $last 1.0] != 0} {
	$win.data yview -pickplace end
    }
}
