.EQ
delim off
.EN
.\" documentation file generated from DEAkObservation.pl by ptlang
.NA "AkObservation"
.SD
Submits observations to Akaroa and outputs final simulation results.
.SE
.LO "Akaroa library"
.DM DE DEStar
.AL "G. C. Ewing"
.IH
.NE
\fIinput\fR (multiple), (float)
.PE
.OH
.NE
\fIoutput\fR (message)
.PE
.SH
.NE
\fIprecision\fR (FloatState)
.DF "0.05"
.NE
\fIconfidence\fR (FloatState)
.DF "0.95"
.NE
\fIdebug\fR (IntState)
.DF "FALSE"
.ET
.EQ
delim $$
.EN
.LD
.EQ
delim off
.EN
This star provides an interface to Akaroa so that a Ptolemy
simulation may be used as a simulation engine under Akaroa.
.pp
A simulation should contain exactly ONE instance of this
star. It accepts any number of inputs and treats them as 
parameters to be observed. Akaroa will collect and analyse 
observations until it decides that sufficient precision has
been reached. Then it will produce a message containing the
final results and halt the simulation.
.pp
When this star is present in a simulation, the Ptolemy random
number source is replaced with one which obtains random
numbers from Akaroa, so all of the random distribution
generators supplied with Ptolemy may be used normally.
However, you will not be able to change the random number
seed using the Pigi "set-seed" command.
.pp
When running the simulation stand-alone under Pigi, you
should enter a very large time for "When to stop"
in the "Run" dialogue box, to ensure that enough observations
are produced to satisfy Akaroa. You should get an alert
box informing you that "Akaroa is stopping the simulation."
If the simulation halts but you do not get this confirmation,
you have set the stopping time too soon.
.pp
The results are output as a message of type "AkResultMessage".
When fed into a TclScript star, this message appears as a
Tcl list with an element for each parameter, where each element
is a list of six items:
.pp
{count trans mean variance delta conf}
.pp
The companion star "ShowAkaroaResults" may be used to display
the results and as an example of how to manipulate the results
using a Tcl script.
.pp
For more information about the AkResultMessage message, see
the "AkResultMessage.H" header file.
.pp
NOTE: After producing the result message, the next time the
Akaroa star is fired it will halt the simulation. Therefore,
any processing of the results by other stars and galaxies must
be accomplished without any delay (or at least before the
next input event to the Akaroa star is scheduled).
.pp
To run a Ptolemy simulation on multiple hosts under Akaroa,
compile the simulation into a Tcl script, and give akrun
a command which will invoke the script via ptcl.
.ES
